steps:
  test:
    image: node:24
    commands:
      - npm install
      - npm run test

  gitea_release:
    image: plugins/gitea-release
    settings:
      api_key:
        from_secret: gitea_api_key
      base_url: https://git.metaunix.net
      title: "${CI_COMMIT_TAG}"
    when:
      event:
        - tag
